# consistency group snapshot

Block Storage v2, v3

## consistency group snapshot create

Create new consistency group snapshot.

    openstack consistency group snapshot create
        [--consistency-group <consistency-group>]
        [--description <description>]
        [<snapshot-name>]

--consistency-group <consistency-group>

  Consistency group to snapshot (name or ID) (default to be the same as <snapshot-name>)

--description <description>

  Description of this consistency group snapshot

snapshot-name

  Name of new consistency group snapshot (default to None)

## consistency group snapshot delete

Delete consistency group snapshot(s).

    openstack consistency group snapshot delete
        <consistency-group-snapshot>
        [<consistency-group-snapshot> ...]

consistency-group-snapshot

  Consistency group snapshot(s) to delete (name or ID)

## consistency group snapshot list

List consistency group snapshots.

    openstack consistency group snapshot list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--all-projects]
        [--long]
        [--status <status>]
        [--consistency-group <consistency-group>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Show detail for all projects (admin only) (defaults to False)

--long

  List additional fields in output

--status <status>

  Filters results by a status (“available”, “error”, “creating”, “deleting” or “error_deleting”)

--consistency-group <consistency-group>

  Filters results by a consistency group (name or ID)

## consistency group snapshot show

Display consistency group snapshot details

    openstack consistency group snapshot show <consistency-group-snapshot>

consistency-group-snapshot

  Consistency group snapshot to display (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.